# Algorithms_in_C++: EasterYearMonthDay Class Reference

Loading...
Searching...
No Matches
EasterYearMonthDay Class Reference

for IO operations More...

## Public Member Functions

| EasterYearMonthDay (uint64_t newYear, uint64_t newMonth, uint64_t newDay)

## Public Attributes

uint64_t | year
| year Easter is on
uint64_t | month
| month Easter is on
uint64_t | day
| day Easter is on

## Detailed Description

for IO operations

for assert

## Constructor & Destructor Documentation

## EasterYearMonthDay()

EasterYearMonthDay::EasterYearMonthDay | ( | uint64_t | newYear,
|  | uint64_t | newMonth,
|  | uint64_t | newDay
| ) |  |

inline

{
year = newYear; // Assigns year to class
month = newMonth;
day = newDay;
}
EasterYearMonthDay::month
uint64_t month
month Easter is on
Definition: easter.cpp:29
EasterYearMonthDay::year
uint64_t year
year Easter is on
Definition: easter.cpp:28
EasterYearMonthDay::day
uint64_t day
day Easter is on
Definition: easter.cpp:30

The documentation for this class was generated from the following file:

- others/easter.cpp